package hm.wine.seller.Weight;

public class Publisher {
    private static final int size = 5, hold = 20, range = 20;  // 10 * 0.1 = 1g
    private static final int[] weight = {-1, -1, -1, -1, -1};
    private static int curIndex = 0;
    private static Subscriber subscriber;

    private static void reset() {
        for (int i = 0; i < size; i++) weight[i] = -1;
        curIndex = 0;
        subscriber = null;
    }

    public static void setSubscriber(Subscriber sub) {
        Publisher.reset();
        subscriber = sub;
    }

    public static void newWeight(int w) {
        if (w < hold) return;
        weight[curIndex] = w;
        curIndex = (curIndex + 1) % size;
        int sum = weight[0];
        for (int i = 1; i < size; i++) {
            if (weight[i] < hold || Math.abs(weight[i] - weight[i - 1]) > range) return;
            sum += weight[i];
        }
        subscriber.onSteadyWeight(sum / size);
        Publisher.reset();
    }
}
