package hm.wine.seller.lib;
import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.SystemClock;

public class Alarm {
    private static final int ALARM_INTERVAL = 10 * 60 * 1000; // 10min

    public static void setRepeatingAlarm(Context context) {
        Intent intent = new Intent("MY_CUSTOM_ACTION");
        PendingIntent pendingIntent = PendingIntent.getBroadcast(context, 0, intent, 0);

        AlarmManager alarmManager = (AlarmManager) context.getSystemService(Context.ALARM_SERVICE);
        alarmManager.setRepeating(
                AlarmManager.ELAPSED_REALTIME_WAKEUP,
                SystemClock.elapsedRealtime() + ALARM_INTERVAL,
                ALARM_INTERVAL,
                pendingIntent
        );
    }

    public static void cancelRepeatingAlarm(Context context) {
        Intent intent = new Intent("MY_CUSTOM_ACTION");
        PendingIntent pendingIntent = PendingIntent.getBroadcast(context, 0, intent, 0);

        AlarmManager alarmManager = (AlarmManager) context.getSystemService(Context.ALARM_SERVICE);
        alarmManager.cancel(pendingIntent);
    }
}
